#!/bin/bash
# Multishairport Autostart
# Script to call from start_audioplayer.sh
# Checks if Player is Running and Starts if Not

# Get Playercount
PLAYERCOUNT=$(grep -a "MULTISHAIRPORT_PLAYERCOUNT" /opt/max2play/audioplayer.conf | sed -n -e 's/^[A-Z_0-9]*\=//p')
USER=$(grep -a "SYSTEM_USER" /opt/max2play/audioplayer.conf | sed -n -e 's/^[A-Z_0-9]*\=//p')

if [ "$USER" = "" ]; then
    USER=odroid    
fi 

if [ "$PLAYERCOUNT" -gt "0" ]; then
   	INSTANCE=0
   	while [ "$INSTANCE" -lt "$PLAYERCOUNT" ] ; 
   		do    		
   		# Check for Running Player
   		if [ -e /opt/shairport/log/shairport_$INSTANCE.pid ]; then
   			PID=$(cat /opt/shairport/log/shairport_$INSTANCE.pid)
   		else
   			PID=""
   		fi
   		EXISTING=$(ps -Al | grep $PID | wc -l)
    	if [ "$PID" = "" -o "$EXISTING" -lt "1" ]; then
    		echo "Start $INSTANCE"
    		/etc/init.d/multishairport start $INSTANCE
    	fi
    	INSTANCE=$((INSTANCE+1))    	
    done
fi

exit 0
