<?php
/**
	 Squeezeplayer View File
	
	 @Copyright 2014 Stefan Rick
	 @author Stefan Rick
	 Mail: stefan@rick-software.de
 	 Web: http://www.netzberater.de		
 */ 
?>											

<h1 class="entry-header">
	<?php echo _t("Multishairport - Set up multiple instances of Shairport (Airplay)") ?>
</h1>
	
<div class="entry-content">
	
	<?php if(isset($setup->view->message[0])){ ?>
		<div class="ui-widget">
			<div class="ui-state-highlight ui-corner-all" style="margin-bottom: 10px; padding: 0.4em .7em;">
				<p>
					<span class="ui-icon ui-icon-info" style="float: left; margin-right: .3em;"></span>
					<?php if(isset($setup->view->message[0])) echo implode('<br /><span class="ui-icon ui-icon-info" style="float: left; margin-right: .3em;"></span>', $setup->view->message); ?>
				</p>
			</div>
		</div>
	<?php } ?>
	
	<form action="" method="post">
		<input type="hidden" id="action" name="action" value="" />
		<?php echo _t('You can run multiple instances of Shairport on one device. Every player needs its own audiodevice (change soundcard in advanced options of each player instance). Make sure you deactivate (stop & remove autostart) the standard Shairport player in tab audioplayer before setting up Multishairport!'); ?>
		<br /><br />
		<?php echo _t('Select how many players should be available:'); ?>
		<select name="playercount">
			<?php for($i = 0; $i < 10; $i++){ ?>
				<option <?php if($setup->view->playercount == $i) echo 'selected'; ?> value='<?php echo $i ?>'><?php echo $i ?></option>					
			<?php }?>
		</select>
		<input type="button" name="saveplayercount" value="<?php echo _('save') ?>" onclick="document.getElementById('action').value='playercountsave';submit();" />
		<br /><br />
		
		<?php foreach($setup->player as $key => $player){ ?>
			<?php include('shairport.php'); ?>
		<?php }?>
		
		<p class="ui-state-default ui-corner-all" style="padding:4px;margin-top:3em;">
				<span class="ui-icon ui-icon-gear" style="float:left; margin:-2px 5px 0 0;"></span>
				<?php echo str_replace('$SERVICENAME', $setup->viewname, _('Autostart $SERVICENAME')) ?>			
		</p>
		<?php echo _t('Enable / Disable Autostart of all players on boot'); ?>: <input type="checkbox" <?php if($setup->view->autostartmultishairport) echo "checked"; ?> value="1" name="autostartmultishairport" />
		<input type="button" value="<?php echo _('save') ?>" name="save" onclick="document.getElementById('action').value='autostartsave';submit();" />
		
		<br />		
		<?php /* Raspberry PI Audio Switch */?>
		<?php if(isset($setup->view->audioOutputPI)) { ?>
			<p class="ui-state-default ui-corner-all" style="padding:4px;margin-top:3em;">
				<span class="ui-icon ui-icon-gear" style="float:left; margin:-2px 5px 0 0;"></span>
				<?php echo _('Set Audio Output on Raspberry PI') ?>				
			</p>
			<br />
			<?php echo _("Use this to change the audio output of your Raspberry PI - if you have HDMI connected and you want to output sound through the headphone jack.")?>
			<br />
			<select name="AudioOutputPI">
					<option <?php if($setup->view->audioOutputPI == '0') echo 'selected'; ?> value='0'><?php echo _("Default (use HDMI if plugged)") ?></option>
					<option <?php if($setup->view->audioOutputPI == '1') echo 'selected'; ?> value='1'><?php echo _("force Headphone Jack") ?></option>
					<option <?php if($setup->view->audioOutputPI == '2') echo 'selected'; ?> value='2'><?php echo _("force HDMI") ?></option>					
			</select>
			&nbsp;&nbsp;
			<input type="button" value="<?php echo _('save') ?>" name="save" onclick="document.getElementById('action').value='setAudioOutputPI';submit();" />
		<?php } ?>
				
	</form>
	
	<br /><br />
	<?php echo _t('MULTISHAIRPORT INFO DESCRIPTION') ?>
	
	<br /><br />
	<a href="#javascript" onclick="document.getElementById('debug').style.display='';return false;">DEBUG Informationen</a>
	<textarea id="debug" rows="30" cols="70" style="display:none;"><?php foreach ($setup->view->debug as $key => $debug) {
			echo "#### ". $key. " ####\n"; 
			 echo $debug." \n\n"; 
		 }?>
	</textarea>
</div>